<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:paddingBottom="@dimen/dp_10"
    tools:context=".ui.activity.account.CreateAccountActivity">

    <include
        android:id="@+id/create_account_top_bar"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        style="@style/my_ScrollView_style"
        android:layout_weight="1">

        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/root_layout_style"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_16"
            android:paddingBottom="@dimen/dp_18">

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_16"
                android:text="@string/txt_create_account"
                android:textSize="@dimen/textSize28"
                android:textStyle="bold" />

            <include
                android:id="@+id/il_create_account_full_name"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_18" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_full_name_error_tip"
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_name_input"
                android:textColor="@color/red_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <include
                android:id="@+id/il_create_account_country"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_16" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_select_country_error_tip"
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_country_select"
                android:textColor="@color/red_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <include
                android:id="@+id/il_create_account_email_address"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_16" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_email_error_tip"
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_valid_email"
                android:textColor="@color/red_color2"
                android:textSize="@dimen/textSize14"
                android:visibility="gone"
                app:typeface="@string/roboto_regular_font" />

            <include
                android:id="@+id/il_create_account_password"
                layout="@layout/layout_input_edit_view"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_66"
                android:layout_marginTop="@dimen/dp_24" />

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_password_error_tip"
                style="@style/my_TextView_style_v2"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/txt_minimum_characters"
                android:textColor="@color/blue_color1"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_regular_font" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_create_account_signup"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:layout_marginBottom="@dimen/dp_16"
        android:text="@string/txt_signup"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />

    <include
        android:id="@+id/il_policy_terms_check"
        layout="@layout/layout_create_account_policy_terms"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_16" />
</androidx.appcompat.widget.LinearLayoutCompat>